# GstVulkanWindow

GstVulkanWindow represents a window that elements can render into. A window can either be a user visible window (onscreen) or hidden (offscreen).

## GstVulkanWindow

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVulkanWindow

GstVulkanWindow is an opaque struct and should only be accessed through the provided api.

Since : 1.18

### Class structure

#### GstVulkanWindowClass

##### Fields

`parent_class` (GstObjectClass) –

Parent class

Since : 1.18

### GstVulkan.VulkanWindowClass

##### Attributes

`parent_class` (Gst.ObjectClass) –

Parent class

Since : 1.18

### GstVulkan.VulkanWindowClass

##### Attributes

`parent_class` (Gst.ObjectClass) –

Parent class

Since : 1.18

## GstVulkan.VulkanWindow

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanWindow

GstVulkan.VulkanWindow is an opaque struct and should only be accessed through the provided api.

Since : 1.18

## GstVulkan.VulkanWindow

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanWindow

GstVulkan.VulkanWindow is an opaque struct and should only be accessed through the provided api.

Since : 1.18

### Constructors

#### gst_vulkan_window_new

    GstVulkanWindow *
    gst_vulkan_window_new (GstVulkanDisplay * display)

Parameters:

`display` –

a GstVulkanDisplay

Returns ( [transfer: full]) –

a new GstVulkanWindow using display's connection

Since : 1.18

#### GstVulkan.VulkanWindow.prototype.new

    function GstVulkan.VulkanWindow.prototype.new(display: GstVulkan.VulkanDisplay): {
        // javascript wrapper for 'gst_vulkan_window_new'
    }

Parameters:

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

Returns (GstVulkan.VulkanWindow) –

a new GstVulkan.VulkanWindow using display's connection

Since : 1.18

#### GstVulkan.VulkanWindow.new

    def GstVulkan.VulkanWindow.new (display):
        #python wrapper for 'gst_vulkan_window_new'

Parameters:

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

Returns (GstVulkan.VulkanWindow) –

a new GstVulkan.VulkanWindow using display's connection

Since : 1.18

### Methods

#### gst_vulkan_window_close

    gst_vulkan_window_close (GstVulkanWindow * window)

Attempt to close the window.

Parameters:

`window` –

a GstVulkanWindow

Since : 1.18

#### GstVulkan.VulkanWindow.prototype.close

    function GstVulkan.VulkanWindow.prototype.close(): {
        // javascript wrapper for 'gst_vulkan_window_close'
    }

Attempt to close the window.

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

Since : 1.18

#### GstVulkan.VulkanWindow.close

    def GstVulkan.VulkanWindow.close (self):
        #python wrapper for 'gst_vulkan_window_close'

Attempt to close the window.

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

Since : 1.18

#### gst_vulkan_window_get_display

    GstVulkanDisplay *
    gst_vulkan_window_get_display (GstVulkanWindow * window)

Parameters:

`window` –

a GstVulkanWindow

Returns ( [transfer: full]) –

the GstVulkanDisplay for window

Since : 1.18

#### GstVulkan.VulkanWindow.prototype.get_display

    function GstVulkan.VulkanWindow.prototype.get_display(): {
        // javascript wrapper for 'gst_vulkan_window_get_display'
    }

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

Returns (GstVulkan.VulkanDisplay) –

the GstVulkan.VulkanDisplay for window

Since : 1.18

#### GstVulkan.VulkanWindow.get_display

    def GstVulkan.VulkanWindow.get_display (self):
        #python wrapper for 'gst_vulkan_window_get_display'

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

Returns (GstVulkan.VulkanDisplay) –

the GstVulkan.VulkanDisplay for window

Since : 1.18

#### gst_vulkan_window_get_presentation_support

    gboolean
    gst_vulkan_window_get_presentation_support (GstVulkanWindow * window,
                                                GstVulkanDevice * device,
                                                guint32 queue_family_idx)

Parameters:

`window` –

a GstVulkanWindow

`device` –

a GstVulkanDevice

`queue_family_idx` –

the queue family

Returns –

whether the given combination of window, device and queue_family_idx supports presentation

Since : 1.18

#### GstVulkan.VulkanWindow.prototype.get_presentation_support

    function GstVulkan.VulkanWindow.prototype.get_presentation_support(device: GstVulkan.VulkanDevice, queue_family_idx: Number): {
        // javascript wrapper for 'gst_vulkan_window_get_presentation_support'
    }

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

`device` (GstVulkan.VulkanDevice) –

a GstVulkan.VulkanDevice

`queue_family_idx` (Number) –

the queue family

Returns (Number) –

whether the given combination of window, device and queue_family_idx supports presentation

Since : 1.18

#### GstVulkan.VulkanWindow.get_presentation_support

    def GstVulkan.VulkanWindow.get_presentation_support (self, device, queue_family_idx):
        #python wrapper for 'gst_vulkan_window_get_presentation_support'

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

`device` (GstVulkan.VulkanDevice) –

a GstVulkan.VulkanDevice

`queue_family_idx` (int) –

the queue family

Returns (bool) –

whether the given combination of window, device and queue_family_idx supports presentation

Since : 1.18

#### gst_vulkan_window_get_surface

    VkSurfaceKHR
    gst_vulkan_window_get_surface (GstVulkanWindow * window,
                                   GError ** error)

Parameters:

`window` –

a GstVulkanWindow

`error` –

a GError

Returns –

the VkSurface for displaying into. The caller is responsible for calling `VkDestroySurface` on the returned surface.

Since : 1.18

#### gst_vulkan_window_get_surface_dimensions

    gst_vulkan_window_get_surface_dimensions (GstVulkanWindow * window,
                                              guint* width,
                                              guint* height)

Parameters:

`window` –

a GstVulkanWindow

`width` ( [out]) –

Current width of window

`height` ( [out]) –

Current height of window

Since : 1.18

#### GstVulkan.VulkanWindow.prototype.get_surface_dimensions

    function GstVulkan.VulkanWindow.prototype.get_surface_dimensions(): {
        // javascript wrapper for 'gst_vulkan_window_get_surface_dimensions'
    }

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

Since : 1.18

#### GstVulkan.VulkanWindow.get_surface_dimensions

    def GstVulkan.VulkanWindow.get_surface_dimensions (self):
        #python wrapper for 'gst_vulkan_window_get_surface_dimensions'

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

Since : 1.18

#### gst_vulkan_window_handle_events

    gst_vulkan_window_handle_events (GstVulkanWindow * window,
                                     gboolean handle_events)

Tell a window that it should handle events from the window system. These events are forwarded upstream as navigation events. In some window systems events are not propagated in the window hierarchy if a client is listening for them. This method allows you to disable events handling completely from the window.

Parameters:

`window` –

a GstVulkanWindow

`handle_events` –

a gboolean indicating if events should be handled or not.

Since : 1.18

#### GstVulkan.VulkanWindow.prototype.handle_events

    function GstVulkan.VulkanWindow.prototype.handle_events(handle_events: Number): {
        // javascript wrapper for 'gst_vulkan_window_handle_events'
    }

Tell a window that it should handle events from the window system. These events are forwarded upstream as navigation events. In some window systems events are not propagated in the window hierarchy if a client is listening for them. This method allows you to disable events handling completely from the window.

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

`handle_events` (Number) –

a gboolean indicating if events should be handled or not.

Since : 1.18

#### GstVulkan.VulkanWindow.handle_events

    def GstVulkan.VulkanWindow.handle_events (self, handle_events):
        #python wrapper for 'gst_vulkan_window_handle_events'

Tell a window that it should handle events from the window system. These events are forwarded upstream as navigation events. In some window systems events are not propagated in the window hierarchy if a client is listening for them. This method allows you to disable events handling completely from the window.

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

`handle_events` (bool) –

a gboolean indicating if events should be handled or not.

Since : 1.18

#### gst_vulkan_window_open

    gboolean
    gst_vulkan_window_open (GstVulkanWindow * window,
                            GError ** error)

Parameters:

`window` –

a GstVulkanWindow

`error` –

a GError

Returns –

whether window could be successfully opened

Since : 1.18

#### GstVulkan.VulkanWindow.prototype.open

    function GstVulkan.VulkanWindow.prototype.open(): {
        // javascript wrapper for 'gst_vulkan_window_open'
    }

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

Returns (Number) –

whether window could be successfully opened

Since : 1.18

#### GstVulkan.VulkanWindow.open

    @raises(GLib.GError)
    def GstVulkan.VulkanWindow.open (self):
        #python wrapper for 'gst_vulkan_window_open'

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

Returns (bool) –

whether window could be successfully opened

Since : 1.18

#### gst_vulkan_window_redraw

    gst_vulkan_window_redraw (GstVulkanWindow * window)

Ask the window to redraw its contents

Parameters:

`window` –

a GstVulkanWindow

Since : 1.18

#### GstVulkan.VulkanWindow.prototype.redraw

    function GstVulkan.VulkanWindow.prototype.redraw(): {
        // javascript wrapper for 'gst_vulkan_window_redraw'
    }

Ask the window to redraw its contents

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

Since : 1.18

#### GstVulkan.VulkanWindow.redraw

    def GstVulkan.VulkanWindow.redraw (self):
        #python wrapper for 'gst_vulkan_window_redraw'

Ask the window to redraw its contents

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

Since : 1.18

#### gst_vulkan_window_resize

    gst_vulkan_window_resize (GstVulkanWindow * window,
                              gint width,
                              gint height)

Resize the output surface.

Currently intended for subclasses to update internal state.

Parameters:

`window` –

a GstVulkanWindow

`width` –

the new width

`height` –

the new height

Since : 1.18

#### GstVulkan.VulkanWindow.prototype.resize

    function GstVulkan.VulkanWindow.prototype.resize(width: Number, height: Number): {
        // javascript wrapper for 'gst_vulkan_window_resize'
    }

Resize the output surface.

Currently intended for subclasses to update internal state.

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

`width` (Number) –

the new width

`height` (Number) –

the new height

Since : 1.18

#### GstVulkan.VulkanWindow.resize

    def GstVulkan.VulkanWindow.resize (self, width, height):
        #python wrapper for 'gst_vulkan_window_resize'

Resize the output surface.

Currently intended for subclasses to update internal state.

Parameters:

`window` (GstVulkan.VulkanWindow) –

a GstVulkan.VulkanWindow

`width` (int) –

the new width

`height` (int) –

the new height

Since : 1.18

#### gst_vulkan_window_send_key_event

    gst_vulkan_window_send_key_event (GstVulkanWindow * window,
                                      const char* event_type,
                                      const char* key_str)

Parameters:

`window` –
No description available
`event_type` –
No description available
`key_str` –
No description available

#### GstVulkan.VulkanWindow.prototype.send_key_event

    function GstVulkan.VulkanWindow.prototype.send_key_event(event_type: String, key_str: String): {
        // javascript wrapper for 'gst_vulkan_window_send_key_event'
    }

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
`event_type` (String) –
No description available
`key_str` (String) –
No description available

#### GstVulkan.VulkanWindow.send_key_event

    def GstVulkan.VulkanWindow.send_key_event (self, event_type, key_str):
        #python wrapper for 'gst_vulkan_window_send_key_event'

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
`event_type` (str) –
No description available
`key_str` (str) –
No description available

#### gst_vulkan_window_send_mouse_event

    gst_vulkan_window_send_mouse_event (GstVulkanWindow * window,
                                        const char* event_type,
                                        int button,
                                        double posx,
                                        double posy)

Parameters:

`window` –
No description available
`event_type` –
No description available
`button` –
No description available
`posx` –
No description available
`posy` –
No description available

#### GstVulkan.VulkanWindow.prototype.send_mouse_event

    function GstVulkan.VulkanWindow.prototype.send_mouse_event(event_type: String, button: Number, posx: Number, posy: Number): {
        // javascript wrapper for 'gst_vulkan_window_send_mouse_event'
    }

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
`event_type` (String) –
No description available
`button` (Number) –
No description available
`posx` (Number) –
No description available
`posy` (Number) –
No description available

#### GstVulkan.VulkanWindow.send_mouse_event

    def GstVulkan.VulkanWindow.send_mouse_event (self, event_type, button, posx, posy):
        #python wrapper for 'gst_vulkan_window_send_mouse_event'

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
`event_type` (str) –
No description available
`button` (int) –
No description available
`posx` (float) –
No description available
`posy` (float) –
No description available

#### gst_vulkan_window_set_window_handle

    gst_vulkan_window_set_window_handle (GstVulkanWindow * window,
                                         guintptr handle)

Parameters:

`window` –
No description available
`handle` –
No description available

#### GstVulkan.VulkanWindow.prototype.set_window_handle

    function GstVulkan.VulkanWindow.prototype.set_window_handle(handle: Number): {
        // javascript wrapper for 'gst_vulkan_window_set_window_handle'
    }

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
`handle` (Number) –
No description available

#### GstVulkan.VulkanWindow.set_window_handle

    def GstVulkan.VulkanWindow.set_window_handle (self, handle):
        #python wrapper for 'gst_vulkan_window_set_window_handle'

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
`handle` (int) –
No description available

### Signals

#### close

    gboolean
    close_callback (GstVulkanWindow * self,
                    gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available
Returns –
No description available

Flags: Run Last

#### close

    function close_callback(self: GstVulkan.VulkanWindow, user_data: Object): {
        // javascript callback for the 'close' signal
    }

Parameters:

`self` (GstVulkan.VulkanWindow) –
No description available
`user_data` (Object) –
No description available
Returns (Number) –
No description available

Flags: Run Last

#### close

    def close_callback (self, *user_data):
        #python callback for the 'close' signal

Parameters:

`self` (GstVulkan.VulkanWindow) –
No description available
`user_data` (variadic) –
No description available
Returns (bool) –
No description available

Flags: Run Last

#### draw

    draw_callback (GstVulkanWindow * self,
                   gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last

#### draw

    function draw_callback(self: GstVulkan.VulkanWindow, user_data: Object): {
        // javascript callback for the 'draw' signal
    }

Parameters:

`self` (GstVulkan.VulkanWindow) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### draw

    def draw_callback (self, *user_data):
        #python callback for the 'draw' signal

Parameters:

`self` (GstVulkan.VulkanWindow) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### key-event

    key_event_callback (GstVulkanWindow * self,
                        gchar* id,
                        gchar* key,
                        gpointer user_data)

Will be emitted when a key event is received by the GstVulkanWindow.

Parameters:

`self` –
No description available
`id` –

the name of the event

`key` –

the id of the key pressed

`user_data` –
No description available

Flags: Run Last

Since : 1.18

#### key-event

    function key_event_callback(self: GstVulkan.VulkanWindow, id: String, key: String, user_data: Object): {
        // javascript callback for the 'key-event' signal
    }

Will be emitted when a key event is received by the GstVulkan.VulkanWindow.

Parameters:

`self` (GstVulkan.VulkanWindow) –
No description available
`id` (String) –

the name of the event

`key` (String) –

the id of the key pressed

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.18

#### key-event

    def key_event_callback (self, id, key, *user_data):
        #python callback for the 'key-event' signal

Will be emitted when a key event is received by the GstVulkan.VulkanWindow.

Parameters:

`self` (GstVulkan.VulkanWindow) –
No description available
`id` (str) –

the name of the event

`key` (str) –

the id of the key pressed

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.18

#### mouse-event

    mouse_event_callback (GstVulkanWindow * self,
                          gchar* id,
                          gint button,
                          gdouble x,
                          gdouble y,
                          gpointer user_data)

Will be emitted when a mouse event is received by the GstVulkanWindow.

Parameters:

`self` –
No description available
`id` –

the name of the event

`button` –

the id of the button

`x` –

the x coordinate of the mouse event

`y` –

the y coordinate of the mouse event

`user_data` –
No description available

Flags: Run Last

Since : 1.18

#### mouse-event

    function mouse_event_callback(self: GstVulkan.VulkanWindow, id: String, button: Number, x: Number, y: Number, user_data: Object): {
        // javascript callback for the 'mouse-event' signal
    }

Will be emitted when a mouse event is received by the GstVulkan.VulkanWindow.

Parameters:

`self` (GstVulkan.VulkanWindow) –
No description available
`id` (String) –

the name of the event

`button` (Number) –

the id of the button

`x` (Number) –

the x coordinate of the mouse event

`y` (Number) –

the y coordinate of the mouse event

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.18

#### mouse-event

    def mouse_event_callback (self, id, button, x, y, *user_data):
        #python callback for the 'mouse-event' signal

Will be emitted when a mouse event is received by the GstVulkan.VulkanWindow.

Parameters:

`self` (GstVulkan.VulkanWindow) –
No description available
`id` (str) –

the name of the event

`button` (int) –

the id of the button

`x` (float) –

the x coordinate of the mouse event

`y` (float) –

the y coordinate of the mouse event

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.18

#### resize

    resize_callback (GstVulkanWindow * self,
                     guint object,
                     guint p0,
                     gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`p0` –
No description available
`user_data` –
No description available

Flags: Run Last

#### resize

    function resize_callback(self: GstVulkan.VulkanWindow, object: Number, p0: Number, user_data: Object): {
        // javascript callback for the 'resize' signal
    }

Parameters:

`self` (GstVulkan.VulkanWindow) –
No description available
`object` (Number) –
No description available
`p0` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### resize

    def resize_callback (self, object, p0, *user_data):
        #python callback for the 'resize' signal

Parameters:

`self` (GstVulkan.VulkanWindow) –
No description available
`object` (int) –
No description available
`p0` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

### Properties

#### display

    “display” GstVulkanDisplay *

Flags : Read

#### display

    “display” GstVulkan.VulkanDisplay

Flags : Read

#### display

    “self.props.display” GstVulkan.VulkanDisplay

Flags : Read

### Virtual Methods

#### close

    close (GstVulkanWindow * window)

close the connection to the display

Parameters:

`window` –
No description available

#### vfunc_close

    function vfunc_close(window: GstVulkan.VulkanWindow): {
        // javascript implementation of the 'close' virtual method
    }

close the connection to the display

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available

#### do_close

    def do_close (window):
        #python implementation of the 'close' virtual method

close the connection to the display

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available

#### get_presentation_support

    gboolean
    get_presentation_support (GstVulkanWindow * window,
                              GstVulkanDevice * device,
                              guint32 queue_family_idx)

retrieve whether this window supports presentation

Parameters:

`window` –
No description available
`device` –
No description available
`queue_family_idx` –
No description available
Returns –
No description available

#### vfunc_get_presentation_support

    function vfunc_get_presentation_support(window: GstVulkan.VulkanWindow, device: GstVulkan.VulkanDevice, queue_family_idx: Number): {
        // javascript implementation of the 'get_presentation_support' virtual method
    }

retrieve whether this window supports presentation

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
`device` (GstVulkan.VulkanDevice) –
No description available
`queue_family_idx` (Number) –
No description available
Returns (Number) –
No description available

#### do_get_presentation_support

    def do_get_presentation_support (window, device, queue_family_idx):
        #python implementation of the 'get_presentation_support' virtual method

retrieve whether this window supports presentation

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
`device` (GstVulkan.VulkanDevice) –
No description available
`queue_family_idx` (int) –
No description available
Returns (bool) –
No description available

#### get_surface

    VkSurfaceKHR
    get_surface (GstVulkanWindow * window,
                 GError ** error)

retrieve the vulkan surface for this window

Parameters:

`window` –
No description available
`error` –
No description available
Returns –
No description available

#### get_surface_dimensions

    get_surface_dimensions (GstVulkanWindow * window,
                            guint* width,
                            guint* height)

retrieve the current size of the window

Parameters:

`window` –
No description available
`width` –
No description available
`height` –
No description available

#### vfunc_get_surface_dimensions

    function vfunc_get_surface_dimensions(window: GstVulkan.VulkanWindow): {
        // javascript implementation of the 'get_surface_dimensions' virtual method
    }

retrieve the current size of the window

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available

#### do_get_surface_dimensions

    def do_get_surface_dimensions (window):
        #python implementation of the 'get_surface_dimensions' virtual method

retrieve the current size of the window

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available

#### handle_events

    handle_events (GstVulkanWindow * window,
                   gboolean handle_events)

Parameters:

`window` –
No description available
`handle_events` –
No description available

#### vfunc_handle_events

    function vfunc_handle_events(window: GstVulkan.VulkanWindow, handle_events: Number): {
        // javascript implementation of the 'handle_events' virtual method
    }

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
`handle_events` (Number) –
No description available

#### do_handle_events

    def do_handle_events (window, handle_events):
        #python implementation of the 'handle_events' virtual method

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
`handle_events` (bool) –
No description available

#### open

    gboolean
    open (GstVulkanWindow * window,
          GError ** error)

open the connection to the display

Parameters:

`window` –
No description available
`error` –
No description available
Returns –
No description available

#### vfunc_open

    function vfunc_open(window: GstVulkan.VulkanWindow): {
        // javascript implementation of the 'open' virtual method
    }

open the connection to the display

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
Returns (Number) –
No description available

#### do_open

    def do_open (window):
        #python implementation of the 'open' virtual method

open the connection to the display

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
Returns (bool) –
No description available

#### set_window_handle

    set_window_handle (GstVulkanWindow * window,
                       guintptr handle)

set the external window handle to render into

Parameters:

`window` –
No description available
`handle` –
No description available

#### vfunc_set_window_handle

    function vfunc_set_window_handle(window: GstVulkan.VulkanWindow, handle: Number): {
        // javascript implementation of the 'set_window_handle' virtual method
    }

set the external window handle to render into

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
`handle` (Number) –
No description available

#### do_set_window_handle

    def do_set_window_handle (window, handle):
        #python implementation of the 'set_window_handle' virtual method

set the external window handle to render into

Parameters:

`window` (GstVulkan.VulkanWindow) –
No description available
`handle` (int) –
No description available

## Functions

### gst_vulkan_window_error_quark

    GQuark
    gst_vulkan_window_error_quark ()

Returns –
No description available

Since : 1.18

### GstVulkan.prototype.vulkan_window_error_quark

    function GstVulkan.prototype.vulkan_window_error_quark(): {
        // javascript wrapper for 'gst_vulkan_window_error_quark'
    }

Returns (GLib.Quark) –
No description available

Since : 1.18

### GstVulkan.vulkan_window_error_quark

    def GstVulkan.vulkan_window_error_quark ():
        #python wrapper for 'gst_vulkan_window_error_quark'

Returns (GLib.Quark) –
No description available

Since : 1.18

## Function Macros

### GST_VULKAN_WINDOW_GET_LOCK

    #define GST_VULKAN_WINDOW_GET_LOCK(w) (&GST_VULKAN_WINDOW(w)->lock)

Since : 1.18

### GST_VULKAN_WINDOW_LOCK

    #define GST_VULKAN_WINDOW_LOCK(w) g_mutex_lock(&GST_VULKAN_WINDOW(w)->lock)

Since : 1.18

### GST_VULKAN_WINDOW_UNLOCK

    #define GST_VULKAN_WINDOW_UNLOCK(w) g_mutex_unlock(&GST_VULKAN_WINDOW(w)->lock)

Since : 1.18

## Enumerations

### GstVulkanWindowError

##### Members

`GST_VULKAN_WINDOW_ERROR_FAILED` (0) –

failed

`GST_VULKAN_WINDOW_ERROR_OLD_LIBS` (1) –

old libraries

`GST_VULKAN_WINDOW_ERROR_RESOURCE_UNAVAILABLE` (2) –

resource unavailable

Since : 1.18

### GstVulkan.VulkanWindowError

##### Members

`GstVulkan.VulkanWindowError.FAILED` (0) –

failed

`GstVulkan.VulkanWindowError.OLD_LIBS` (1) –

old libraries

`GstVulkan.VulkanWindowError.RESOURCE_UNAVAILABLE` (2) –

resource unavailable

Since : 1.18

### GstVulkan.VulkanWindowError

##### Members

`GstVulkan.VulkanWindowError.FAILED` (0) –

failed

`GstVulkan.VulkanWindowError.OLD_LIBS` (1) –

old libraries

`GstVulkan.VulkanWindowError.RESOURCE_UNAVAILABLE` (2) –

resource unavailable

Since : 1.18

## Constants

### GST_VULKAN_WINDOW_ERROR

    #define GST_VULKAN_WINDOW_ERROR (gst_vulkan_window_error_quark ())

Since : 1.18

The results of the search are